local L = LibStub("AceLocale-3.0"):GetLocale("Grid2Options")

local function AddSetupStatusesOptions(setup, reset)
	local status, options

	status = Grid2.statuses["group-leader"]
	if (status) then
		options = Grid2Options:MakeStatusColorOption(status)
		Grid2Options:AddElement("status", status, options)
	end

	status = Grid2.statuses["group-assistant"]
	if (status) then
		options = Grid2Options:MakeStatusColorOption(status)
		Grid2Options:AddElement("status", status, options)
	end

	status = Grid2.statuses["group-master-looter"]
	if (status) then
		options = Grid2Options:MakeStatusColorOption(status)
		Grid2Options:AddElement("status", status, options)
	end
end

AddSetupStatusesOptions(Grid2.db.profile.setup)